audio/libgig - The NetBSD Packages Collection

C++ library for working with sampler file formats

libgig is a C++ library for loading, modifying existing and creating new
Gigasampler (.gig) files and DLS (Downloadable Sounds) Level 1/2 files, KORG
sample based instruments (.KSF and .KMP files), SoundFont v2 (.sf2) files
and AKAI sampler data. The source code package includes a couple of command
line tools based on the library.

Build dependencies

pkgtools/cwrappers devel/libtool-base devel/pkgconf

Runtime dependencies

audio/libsndfile devel/libuuid audio/libsndfile

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibgig-4.2.0.tgz
NetBSD 8.0earmv7hflibgig-4.2.0.tgz
NetBSD 8.0earmv7hflibgig-4.2.0.tgz
NetBSD 8.0i386libgig-4.2.0.tgz
NetBSD 8.0i386libgig-4.2.0.tgz
NetBSD 8.0powerpclibgig-4.2.0.tgz
NetBSD 8.0powerpclibgig-4.2.0.tgz
NetBSD 8.0powerpclibgig-4.2.0.tgz
NetBSD 8.0powerpclibgig-4.2.0.tgz
NetBSD 8.0x86_64libgig-4.2.0.tgz
NetBSD 8.0x86_64libgig-4.2.0.tgz
NetBSD 9.0aarch64libgig-4.2.0.tgz
NetBSD 9.0aarch64libgig-4.2.0.tgz
NetBSD 9.0aarch64libgig-4.2.0.tgz
NetBSD 9.0alphalibgig-4.2.0.tgz
NetBSD 9.0alphalibgig-4.2.0.tgz
NetBSD 9.0alphalibgig-4.2.0.tgz
NetBSD 9.0earmv6hflibgig-4.2.0.tgz
NetBSD 9.0earmv6hflibgig-4.2.0.tgz
NetBSD 9.0earmv6hflibgig-4.2.0.tgz
NetBSD 9.0earmv7hflibgig-4.2.0.tgz
NetBSD 9.0earmv7hflibgig-4.2.0.tgz
NetBSD 9.0earmv7hflibgig-4.2.0.tgz
NetBSD 9.0earmv7hflibgig-4.2.0.tgz
NetBSD 9.0i386libgig-4.2.0.tgz
NetBSD 9.0i386libgig-4.2.0.tgz
NetBSD 9.0i386libgig-4.2.0.tgz
NetBSD 9.0mips64eblibgig-4.2.0.tgz
NetBSD 9.0mips64eblibgig-4.2.0.tgz
NetBSD 9.0mips64eblibgig-4.2.0.tgz
NetBSD 9.0mips64eblibgig-4.2.0.tgz
NetBSD 9.0powerpclibgig-4.2.0.tgz
NetBSD 9.0powerpclibgig-4.2.0.tgz
NetBSD 9.0powerpclibgig-4.2.0.tgz
NetBSD 9.0powerpclibgig-4.2.0.tgz
NetBSD 9.0sparc64libgig-4.2.0.tgz
NetBSD 9.0sparc64libgig-4.2.0.tgz
NetBSD 9.0sparc64libgig-4.2.0.tgz
NetBSD 9.0sparclibgig-4.2.0.tgz
NetBSD 9.0sparclibgig-4.2.0.tgz
NetBSD 9.0sparclibgig-4.2.0.tgz
NetBSD 9.0sparclibgig-4.2.0.tgz
NetBSD 9.0x86_64libgig-4.2.0.tgz
NetBSD 9.0x86_64libgig-4.2.0.tgz
NetBSD 9.0x86_64libgig-4.2.0.tgz
NetBSD 9.0x86_64libgig-4.2.0.tgz
NetBSD 9.0x86_64libgig-4.2.0.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.